package com.memorynotfound;

import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.text.NumberFormat;
import java.util.Currency;
import java.util.Locale;

public class CurrencySymbol {

    public static void main(String... args){

        double amount = 1234.4567;

        DecimalFormat euroFormat = new DecimalFormat("€#,##0.00");
        System.out.println("Formatted euro currency: " + euroFormat.format(amount));

        NumberFormat n = NumberFormat.getCurrencyInstance(Locale.US);
        System.out.println("Formatted dollar currency: " + n.format(amount));
    }
}
