package com.memorynotfound;

import java.text.DecimalFormat;
import java.text.NumberFormat;

public class FormatWithGroupingExample {

    public static void main(String... args){

        double amount = 123456789.4567;
        DecimalFormat n = (DecimalFormat)NumberFormat.getNumberInstance();

        System.out.println("Formatted decimal pattern: " + n.format(amount));

        n.setGroupingSize(5);
        System.out.println("Formatted decimal grouping size 5: " + n.format(amount));

        n.setGroupingUsed(false);
        System.out.println("Formatted decimal no grouping: " + n.format(amount));

    }
}
