package com.memorynotfound;

import java.math.RoundingMode;
import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;

public class ChangDecimalSeparator {

    public static void main(String... args){

        DecimalFormatSymbols formatSymbols = DecimalFormatSymbols.getInstance();
        formatSymbols.setDecimalSeparator(',');
        formatSymbols.setGroupingSeparator(' ');

        DecimalFormat df = new DecimalFormat("####,####.##", formatSymbols);

        System.out.println("Formatted decimal: " + df.format(123456789.4567));
    }
}
