package com.memorynotfound;

import java.text.DecimalFormat;
import java.text.NumberFormat;
import java.util.Locale;

public class FormatWithLocaleExample {

    public static void main(String... args){

        double amount = 123456789.4567;

        NumberFormat UK_DF = DecimalFormat.getNumberInstance(Locale.ENGLISH);
        NumberFormat BE_DF = DecimalFormat.getNumberInstance(Locale.GERMAN);

        System.out.println("Formatted decimal (ENGLISH locale): " + UK_DF.format(amount));
        System.out.println("Formatted decimal (GERMAN locale): " + BE_DF.format(amount));
    }
}
