package com.memorynotfound;

import java.text.DecimalFormat;
import java.text.NumberFormat;

public class RoundingMode {

    public static void main(String... args){

        double amount = 1234.4567;

        NumberFormat n = DecimalFormat.getInstance();
        System.out.println("Rounded decimal (default): " + n.format(amount));

        n.setRoundingMode(java.math.RoundingMode.DOWN);
        System.out.println("Rounded decimal (DOWN): " + n.format(amount));

        n.setRoundingMode(java.math.RoundingMode.UP);
        System.out.println("Rounded decimal (UP): " + n.format(amount));

    }
}
